/* @(#)$Id: xmexit.h,v 2.0 90/04/09 10:03:48 tot Exp $

   Definitions for xtexit. Based on xmexit by Teemu Torma.

   Copyright 1990 Front End Oy

   Permission to use, copy, modify, and distribute this software and its
   documentation for any purpose and without fee is hereby granted, provided
   that the above copyright notice appear in all copies and that both that
   copyright notice and this permission notice appear in supporting
   documentation, and that the name of Front End not be used in advertising
   or publicity pertaining to distribution of the software without specific,
   written prior permission.  Front End makes no representations about the
   suitability of this software for any purpose.  It is provided "as is"
   without express or implied warranty.

   FRONT END DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL
   FRONT END.  BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR
   ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
   IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT
   OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

   Author:  Teemu Torma, Front End Oy
            tot@frend.fi

   Port to Athena Widgets by:   Paul Raines
				raines@slac.stanford.edu
*/

#ifndef _xtexit_h
#define _xtexit_h

/* Class name of xtexit. */

#define XTEXIT_CLASS_NAME	"XTexit"

/* Structure to read in resources. */

typedef struct _XTexit {
  Boolean confirm;			/* Confirm close? */
  char *text;				/* Text to show in confirm dialog */
  Boolean debug;			/* Debug mode. */
  Display *display;			/* Our display. */
  int levels;				/* How many levels to go down. */
  int delay;				/* Delay to wait before force kill. */
  Window top;				/* Our top level window. */
  Window dialog;			/* Our dialog shell window. */
  Window *window_list;			/* List of windows to kill. */
  Cardinal window_list_size;		/* Allocated size of window list. */
  Cardinal last_window;			/* Offset to first unused window. */
} XTexitRec, *XTexit;

/* Resource names. */

#define Nconfirm		"confirm"
#define Ndebug			"debug"
#define Ndelay			"delay"
#define Nlevels			"levels"
#define Ntext			"text"

/* Resource classes. */

#define CConfirm		"Confirm"
#define CDebug			"Debug"
#define CDelay			"Delay"
#define CLevels			"Levels"
#define CText			"Text"

#endif /* not _xtexit_h */
